--- a/configure.ac
+++ b/configure.ac
@@ -1080,68 +1080,15 @@ dnl
 AC_ARG_VAR([LZ4_CFLAGS], [C compiler flags for lz4])
 AC_ARG_VAR([LZ4_LIBS], [linker flags for lz4])
 if test "$enable_lz4" = "yes" && test "$enable_comp_stub" = "no"; then
-    if test -z "${LZ4_CFLAGS}" -a -z "${LZ4_LIBS}"; then
-	# if the user did not explicitly specify flags, try to autodetect
-	PKG_CHECK_MODULES([LZ4],
-			  [liblz4 >= 1.7.1 liblz4 < 100],
-			  [have_lz4="yes"],
-			  [LZ4_LIBS="-llz4"] # If this fails, we will do another test next.
-					     # We also add set LZ4_LIBS otherwise the
-					     # linker will not know about the lz4 library
-	)
-    fi
 
     saved_CFLAGS="${CFLAGS}"
     saved_LIBS="${LIBS}"
     CFLAGS="${CFLAGS} ${LZ4_CFLAGS}"
     LIBS="${LIBS} ${LZ4_LIBS}"
 
-    # If pkgconfig check failed or LZ4_CFLAGS/LZ4_LIBS env vars
-    # are used, check the version directly in the LZ4 include file
-    if test "${have_lz4}" != "yes"; then
-	AC_CHECK_HEADERS([lz4.h],
-			 [have_lz4h="yes"],
-			 [])
-
-	if test "${have_lz4h}" = "yes" ; then
-	    AC_MSG_CHECKING([additionally if system LZ4 version >= 1.7.1])
-	    AC_COMPILE_IFELSE(
-		[AC_LANG_PROGRAM([[
-#include <lz4.h>
-				 ]],
-				 [[
-/* Version encoding: MMNNPP (Major miNor Patch) - see lz4.h for details */
-#if LZ4_VERSION_NUMBER < 10701L
-#error LZ4 is too old
-#endif
-				 ]]
-				)],
-		[
-		    AC_MSG_RESULT([ok])
-		    have_lz4="yes"
-		],
-		[AC_MSG_RESULT([system LZ4 library is too old])]
-	    )
-	fi
-    fi
-
-    # Double check we have a few needed functions
-    if test "${have_lz4}" = "yes" ; then
-	AC_CHECK_LIB([lz4],
-		     [LZ4_compress_default],
-		     [],
-		     [have_lz4="no"])
-	AC_CHECK_LIB([lz4],
-		     [LZ4_decompress_safe],
-		     [],
-		     [have_lz4="no"])
-    fi
-
-    if test "${have_lz4}" != "yes" ; then
-	AC_MSG_RESULT([		usable LZ4 library or header not found, using version in src/compat/compat-lz4.*])
-	AC_DEFINE([NEED_COMPAT_LZ4], [1], [use copy of LZ4 source in compat/])
-	LZ4_LIBS=""
-    fi
+    AC_MSG_RESULT([		usable LZ4 library or header not found, using version in src/compat/compat-lz4.*])
+    AC_DEFINE([NEED_COMPAT_LZ4], [1], [use copy of LZ4 source in compat/])
+    LZ4_LIBS=""
     OPTIONAL_LZ4_CFLAGS="${LZ4_CFLAGS}"
     OPTIONAL_LZ4_LIBS="${LZ4_LIBS}"
     AC_DEFINE(ENABLE_LZ4, [1], [Enable LZ4 compression library])
